Subject: RE: [External] : Re: bug#16333: 24.3.50; Info manuals: link defined terms to their glossary entries

From: Drew Adams <[email-masked]>
Date: Fri, 15 Oct 2021 21:18:20 +0000

> Thanks.  Yeah, that looks really awkward -- 
> I don't think we want to do that in info.el.

Too bad for Emacs.  Just for the record -

As I mentioned, the default behavior for the option
could instead be one of these less "noisy" behaviors:

 * No links at all - zero change from what you have now.
 * Links without faces, i.e., hidden except on mouseover.

As I also mentioned, a given word is never linked more
than once in a given node (contrary to Stefan's claim).

And with the behavior I chose as default, once you visit
the glossary for a given word it's no longer linked
(anywhere).  I chose that behavior as default to help
with learning as well as discovery.  A seasoned user
might well choose one of the less noticeable behaviors. 

You're entitled to your knee-jerk reaction.  Alas, you
also have the prerogative to not give vanilla Emacs
users the choice.

Here are screenshots of two of the possibilities:

https://www.emacswiki.org/emacs/InfoPlus#highlighting